News, Press & Events

01 Mar 2019

PDF-XChange V8 will no longer support Windows XP, Vista & Windows Server 2003 (or prior) operating systems.

PDF-XChange V8 will no longer support Windows XP, Vista & Windows Server 2003 or prior operating systems


With the release of V8 of PDF-XChange products coming this spring, there will no longer be support for Windows XP, Windows Vista and Windows Server 2003 (or prior) operating systems.

This will not affect XP and Vista users continuing using PDF-XChange products V7 or earlier.

Microsoft ended support for Windows XP as of April 8, 2014 and Windows Vista as of April 11, 2017. This meant that end users will not receive any further updates, fixes or patches for the Windows XP or Windows Vista product lines. It also represents a problem to software application developers such as Tracker Software Products. This is because the Microsoft development tools required to compile our applications to operate in Windows XP and Vista have been removed, no longer allowing our products to function in Windows XP/Vista environments. As well support for some related services, for example, remote file systems such as Dropbox, OneDrive, Google Drive and the like, require communication notifications systems using embedded browsers that are not available in Windows XP and Vista or Windows Server 2003 (or prior). As more and more users and organizations depend on remote file systems, it is important to upgrade to later versions of Windows in order for these services to work.

Unfortunately, this process is beyond our control. And with the planned release of Version 8 of our PDF-XChange product line in the spring of 2019 we have been forced to drop support for both Windows XP and Vista as of its release.

It will become necessary for users to migrate to later versions of the Windows operating system in order to ensure access to the latest releases of our product as of the release of Version 8.

Best regards,

Tracker Software Products

Back to all News, Press & Events